Package org.jbpm.process.core.impl

## Class WorkDefinitionExtensionImpl

- java.lang.Object
- - org.jbpm.process.core.impl.WorkDefinitionImpl
  - - org.jbpm.process.core.impl.WorkDefinitionExtensionImpl

- All Implemented Interfaces:
    `Serializable`, `WorkDefinition`, `WorkDefinitionExtension`
  Direct Known Subclasses:
    `WorkDefinitionImpl`

      public class WorkDefinitionExtensionImpl
      extends WorkDefinitionImpl
      implements WorkDefinitionExtension

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WorkDefinitionExtensionImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getCustomEditor()` |
    `String` | `getDisplayName()` |
    `String` | `getExplanationText()` |
    `String` | `getIcon()` |
    `void` | `setCustomEditor​(String editor)` |
    `void` | `setDisplayName​(String displayName)` |
    `void` | `setExplanationText​(String explanationText)` |
    `void` | `setIcon​(String icon)` |

    - ### Methods inherited from class org.jbpm.process.core.impl.WorkDefinitionImpl

      `addParameter, addResult, getName, getParameter, getParameterNames, getParameters, getResult, getResultNames, getResults, removeParameter, removeResult, setName, setParameters, setResults, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkDefinitionExtensionImpl

          public WorkDefinitionExtensionImpl()

  - ### Method Detail

    - #### getDisplayName

          public String getDisplayName()

      Specified by:
        `getDisplayName` in interface `WorkDefinitionExtension`

    - #### setDisplayName

          public void setDisplayName​(String displayName)

    - #### getExplanationText

          public String getExplanationText()

      Specified by:
        `getExplanationText` in interface `WorkDefinitionExtension`

    - #### setExplanationText

          public void setExplanationText​(String explanationText)

    - #### getIcon

          public String getIcon()

      Specified by:
        `getIcon` in interface `WorkDefinitionExtension`

    - #### setIcon

          public void setIcon​(String icon)

    - #### getCustomEditor

          public String getCustomEditor()

      Specified by:
        `getCustomEditor` in interface `WorkDefinitionExtension`

    - #### setCustomEditor

          public void setCustomEditor​(String editor)